Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui.scripting.event
Class ScriptExecutionEvent

    java.lang.Object
      java.util.EventObject
          weka.gui.scripting.event.ScriptExecutionEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ScriptExecutionEvent

extends java.util.EventObject

Event that gets sent when a script is executed.

Version:
  $Revision: 5142 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)
See Also:
  Serialized Form

Nested Class Summary
`static class` | `ScriptExecutionEvent.Type` Defines the type of event.

Constructor Summary
`ScriptExecutionEvent(Script source, ScriptExecutionEvent.Type type)` Initializes the event.
`ScriptExecutionEvent(Script source, ScriptExecutionEvent.Type type, java.lang.Object additional)` Initializes the event.

Method Summary
`java.lang.Object` | `getAdditional()` Returns the additional information.
`Script` | `getScript()` Returns the script that triggered the event.
`ScriptExecutionEvent.Type` | `getType()` Returns the type of event.
`boolean` | `hasAdditional()` Returns whether additional information is available.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScriptExecutionEvent

    public ScriptExecutionEvent(Script source,
                                ScriptExecutionEvent.Type type)

  Initializes the event.

  Parameters:
    `source` - the script that triggered the event
    `type` - the type of finish

### ScriptExecutionEvent

    public ScriptExecutionEvent(Script source,
                                ScriptExecutionEvent.Type type,
                                java.lang.Object additional)

  Initializes the event.

  Parameters:
    `source` - the script that triggered the event
    `type` - the type of finish
    `additional` - additional information, can be null

Method Detail

### getScript

    public Script getScript()

  Returns the script that triggered the event.

  Returns:
    the script

### getType

    public ScriptExecutionEvent.Type getType()

  Returns the type of event.

  Returns:
    the type

### hasAdditional

    public boolean hasAdditional()

  Returns whether additional information is available.

  Returns:
    true if additional information is available
  See Also:
    `getAdditional()`

### getAdditional

    public java.lang.Object getAdditional()

  Returns the additional information.

  Returns:
    the additional information, can be null

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD